﻿from os import system
import xbmcgui
import re

setting = 'usbhid.mousepoll'
pattern = re.compile('%s=([0-9]+) ?' % setting)
cmdfile = '/flash/cmdline.txt'

if ( __name__ == "__main__" ):
    with open(cmdfile, 'r') as cmdline:
        data = cmdline.read()
    match = pattern.search(data)
    if match == None:
        data = '%s=0 %s' % (setting, data.strip())
        message = "usbhid.mousepoll=0 added to /flash/cmdline.txt"
    else:
        string = match.group(0)
        value = match.group(1)
        data = data.replace(string, '').strip().lstrip()

        if value == '0':
            message = 'usbhid.mousepoll=0 removed from /flash/cmdline.txt'
        else:
            data = '%s=0 %s' % (setting, data.strip())
            message = "usbhid.mousepoll=%s changed to usbhid.mousepoll=0 in /flash/cmdline.txt" % value

    system("mount -o remount,rw '/flash'")
    with open(cmdfile, 'w') as cmdline:
        cmdline.write(data)
    system("mount -o remount,ro '/flash'")

    dialog = xbmcgui.Dialog()
    if dialog.yesno("Success!", message, "Reboot required. Reboot now?"):
        system("reboot")